body {
    background-image: radial-gradient(circle, #dfdede 1px, transparent 1px);
    background-size: 24px 24px;
}

html {
    scroll-behavior: smooth;
}

.blog-header-section .section-wrapper {
    max-width: 800px;
}

.blog-header-section {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 1rem;
}

.blog-topic, .related-post-topic {
    background-color: var(--accent-light);
    display: inline-flex;
    padding: 5px 15px;
    border-radius: 5px;
    color: var(--accent-primary);
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 600;
    margin-bottom: .5rem;
}

.blog-author {
    border-top: 1px solid var(--border-color);
    border-bottom: 1px solid var(--border-color);
    margin-top: 1rem;
    padding: 10px 5px;
    display: flex;
    justify-content: space-between;
}

.blog-author-job {
    font-size: 13px;
    color: var(--text-secondary);
}

.blog-author-name {
    font-size: 14px;
}

.blog-breadcrumb-item {
    color: var(--text-secondary);
    font-size: 13px;
    text-decoration: none;
}

.blog-breadcrumb-item.a:hover {
    text-decoration: underline;
}

.blog-breadcrumbs {
    display: flex;
    align-items: center;
    gap: 5px;
    margin-bottom: 1rem;
}

.blog-desc {
    margin-top: .5rem;
}

.blog-author-image-wrapper {
    width: 40px;
    height: 40px;
    min-width: 40px;
    min-height: 40px;
    border-radius: 50%;
    background-color: var(--border-color);
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.blog-author-image-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.blog-author-box {
    display: flex;
    gap: 1rem;
    align-items: center;
}

.post-read-time {
    text-align: center;
    font-size: 14px;
}

.post-read-time-text {
    color: var(--text-secondary);
}

.blog-details {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.post-date {
    font-size: 14px;
}

.divder {
    background-color: var(--border-color);
    height: 70%;
    width: 1px;
}

.blog-cover-image-wrapper {
    width: 90%;
    max-width: 900px;
    height: 500px;
    overflow: hidden;
    border-radius: 5px;
    background-color: var(--border-color);
}

.blog-cover-image-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.blog-content-area {
    max-width: 1000px;
    display: flex;
    gap: 3rem;
}

.blog-content-text p {
    margin-bottom: 15px;
    line-height: 30px;
}

.blog-content-text h2 {
    font-size: 27px;
    margin: 1rem 0;
}

.blog-content-text a {
    color: var(--accent-primary);
}

.blog-content-text ul,
.blog-content-text ol {
    list-style-position: inside;
    margin-left: 1rem;
    margin-bottom: 15px;
}

.blog-toc-header {
    text-transform: uppercase;
    color: var(--text-secondary);
    font-size: 14px;
    margin-bottom: 10px;
}

.blog-content-text {
    width: 100%;
    padding-bottom: .5rem;
    border-bottom: 1px solid var(--border-color);
}

.blog-content-sidebar {
    width: 30%;
    border-bottom: 1px solid var(--border-color);
}

.blog-sidebar-items {
    display: flex;
    flex-direction: column;
    gap: 1rem;

}

.toc-item {
    display: block;
    padding-left: 5px;
    text-decoration: none;
    color: var(--text-secondary);
    border-left: 2px solid var(--border-color);
    transition: color .4s ease, border-color .4s ease;
    margin-bottom: 3px;
    font-size: 13px;
}

.toc-item:hover,
.toc-item.active {
    color: var(--accent-primary);
    border-color: var(--accent-primary);
}

.blog-cta {
    padding: 10px;
    background-color: var(--accent-secondary);
    border-radius: 5px;
}

.blog-cta-header {
    color: white;
    font-weight: 600;
}

.blog-cta-sub-text {
    font-size: 13px;
    color: white;
    margin-top: .2rem;
}

.end-cta-button {
    background-color: white;
    border: none;
    padding: 10px 10px;
    border-radius: 5px;
    font-size: 15px;
    font-weight: 600;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    color: var(--accent-primary);
    cursor: pointer;
    width: 100%;
    margin-top: 1rem;
}

.social-share-btns {
    display: flex;
    gap: 3px;
}

.social-share-btn {
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: transparent;
    transition: background-color .4s ease;
    cursor: pointer;
    border-radius: 3px;
}

.social-share-btn:hover {
    background-color: var(--bg-tertiary);
}

.related-posts-header {
    font-size: 25px;
}

.related-posts-wrapper {
    display: flex;
    gap: 1rem;
    width: 100%;
}

.related-post-box {
    width: 33%;
    text-decoration: none;
    color: inherit;
}

.related-post-box-image-wrapper {
    height: 250px;
    width: 100%;
    background-color: var(--border-color);
    overflow: hidden;
    border-radius: 5px;
}

.related-post-box-image-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.blog-content-end .section-wrapper {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 1.5rem;
}

.related-post-topic {
    margin-top: 15px;
}

.blog-content-image-wrapper {
    width: 100%;
    height: 400px;
    background-color: var(--border-color);
    margin: 2rem 0;
    overflow: hidden;
    border-radius: 5px;
}

.blog-content-image-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}


@media (max-width: 1000px) {
    .blog-content-area {
        flex-direction: column;
    }
    .blog-content-text {
        order: 2;
    }
    .blog-content-sidebar {
        width: 100%;
    }
     .section {
        padding: 2rem 15px;
    }
}

@media (max-width: 850px) {
    .related-posts-wrapper {
        flex-direction: column;
        align-items: center;
    }
    .related-post-box {
        width: 100%;
        max-width: 500px;
    }
}

@media (max-width: 800px) {
    .blog-cover-image-wrapper {
        height: auto;
        height: 100%;
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .blog-content-image-wrapper {
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
    }

}   

@media (max-width: 500px) {
    .blog-author {
        flex-direction: column;
    }

    .blog-details {
        margin-top: .5rem;
    }

    .blog-author-box {
        border-bottom: 1px solid var(--border-color);
        padding-bottom: .5rem;
    }

    .divder {
        height: 30px;
    }
}